Bug 464396 - There are two ovirtadmin User displayed in the User Access of the Smart Pool
There are two ovirtadmin User displayed in the User Access of the Smart Pool
Status: CLOSED WONTFIX
Product: Virtualization Tools
Classification: Community
Component: ovirt-server-suite (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Scott Seago
: Desktop
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-28 01:35 EDT by Vivian Bian
Modified: 2014-07-06 15:31 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-21 13:16:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This the page displayed for oVirt Smart Pool User Access Management Page (96.76 KB, image/png)
2008-09-28 01:35 EDT, Vivian Bian
no flags Details

  None (edit)
Description Vivian Bian 2008-09-28 01:35:51 EDT
Created attachment 317887 [details]
This the page displayed for oVirt Smart Pool User Access Management Page

Description of problem:
There are two ovirtadmin User displayed in the User Access of the Smart Pool

Version-Release number of selected component (if applicable):

ovirt 0.93-1
How reproducible:
Always

Steps to Reproduce:
1.open the ovirt Administration User Interface
2.Navigate to the existing Smart Pool (if you don’t have a Smart Pool ,Please create a new one)
3.Click the User Access in the Content Pane Menu bar
  
Actual results:
There are two ovirtadmin User displayed in the User Access of the Smart Pool


Expected results:
There is only one ovirtadmin User displayed in the User Access of the Smart Pool

Additional info:
Comment 1 Scott Seago 2008-10-02 10:42:21 EDT
Currently we show both direct and inherited permissions on the user permissions tab. Direct permissions can be edited here, and inherited permissions cannot. What you're seeing above is that ovirtadmin has granted permissions from two different sources. ovirtadmin has site-wide admin privileges inheriting from the overall root pool, and ovirtadmin has specific privileges granted for "ovirtadmin's smart pools".

If you log in as a different user who doesn't have site-wide admin privileges,  you'll see a single inherited permission for that user's smart pools.

Right now we distinguish 'inherited' from 'direct' permissions -- perhaps we'd alleviate this confusion by showing in the grid which pool the inherited permissions are from.
Comment 2 Hugh Brock 2008-10-17 14:20:17 EDT
"Right now we distinguish 'inherited' from 'direct' permissions -- perhaps we'd
alleviate this confusion by showing in the grid which pool the inherited
permissions are from."

-- I think this is the right solution, can we do it?
Comment 3 Jia Dong 2009-01-21 04:21:08 EST
It also exists in version 0.96.
Comment 4 Scott Seago 2009-05-26 15:18:00 EDT
Fix sent as:

https://www.redhat.com/archives/ovirt-devel/2009-May/msg00208.html

Note You need to log in before you can comment on or make changes to this bug.